Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6377 - lpr does not work with WP 8.0
Summary: lpr does not work with WP 8.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-26 08:22 UTC by miked
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-22 17:54:28 UTC


Attachments (Terms of Use)

Description miked 1999-10-26 08:22:39 UTC
lpr does not work with WordPerfect 8.0

Comment 1 Bill Nottingham 1999-10-26 14:48:59 UTC
Can you give some more details?

How does it fail?

What version of lpr are you using?

Comment 2 Bill Nottingham 1999-10-26 21:48:59 UTC
OK; how does it fail?  How is it being invoked, and what printers
do you have set up?

Comment 3 Bill Nottingham 1999-10-26 21:49:59 UTC
Also, does it work with other applications?

Comment 4 Bill Nottingham 1999-10-27 16:01:59 UTC
WordPerfect uses its own printer drivers; hmm, that
could be a problem. Does WordPerfect still actually
use lpr, or does it write derectly to the port?

Comment 5 Bill Nottingham 1999-10-27 19:14:59 UTC
Yes, that sounds like it's trying to convert WordPerfect's
output to whatever the printer supports.

Hmm... not sure how to handle this; lpr doesn't expect
native data.

Comment 6 Bill Nottingham 1999-11-01 17:09:59 UTC
One thing you could do is set up a different printer entry
in /etc/printcap that uses the same device, but doesn't use
an input filter (no if=<whatever> entry). That should work
OK, if WP is doing its own filtering/conversion.

Comment 7 Bernhard Rosenkraenzer 2000-07-17 15:15:18 UTC
If this is lpr related at all (we don't have access to WP source, so we can't be
sure what it's doing), it should be fixed in rawhide by the move to LPRng.


Note You need to log in before you can comment on or make changes to this bug.